import { UniqueID } from "@/core/common/domain";
import { Collection, Result } from "@repo/rdx-utils";
import { CustomerInvoice } from "../aggregates";

export interface ICustomerInvoiceRepository {
  findAll(transaction?: any): Promise<Result<Collection<CustomerInvoice>, Error>>;
  findById(id: UniqueID, transaction?: any): Promise<Result<CustomerInvoice, Error>>;
}
